## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanEXSLTFunctionDifference Class Reference

`#include <XalanEXSLTSetImpl.hpp>`

Inheritance diagram for XalanEXSLTFunctionDifference:

[legend]
Collaboration diagram for XalanEXSLTFunctionDifference:

[legend]
List of all members.

## Public Methods

- XalanEXSLTFunctionDifference ()
- virtual ~XalanEXSLTFunctionDifference ()
- virtual XalanEXSLTFunctionDifference* clone (MemoryManagerType &theManager) const
    Create a copy of the function object. More...

## Protected Methods

- virtual const XalanDOMString& getError (XalanDOMString &theBuffer) const
    Get the error message to report when the function is called with the wrong number of arguments. More...

## Constructor & Destructor Documentation

XalanEXSLTFunctionDifference::XalanEXSLTFunctionDifference ( | )

XalanEXSLTFunctionDifference::~XalanEXSLTFunctionDifference ( | )`[virtual]`

## Member Function Documentation

XalanEXSLTFunctionDifference * XalanEXSLTFunctionDifference::clone ( | MemoryManagerType & theManager ) const`[virtual]`

Create a copy of the function object.

Returns:
  pointer to the new object

Reimplemented from FunctionDifference.

const XalanDOMString & XalanEXSLTFunctionDifference::getError ( | XalanDOMString & theBuffer ) const`[protected, virtual]`

Get the error message to report when the function is called with the wrong number of arguments.

Returns:
  function error message

Reimplemented from FunctionDifference.

The documentation for this class was generated from the following file:

- XalanEXSLTSetImpl.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.